package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 点位问题;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "点位问题",description = "")
@TableName("ta_check_item_qu")
public class TaCheckItemQu implements Serializable,Cloneable{
    /** id */
    @ApiModelProperty(name = "id",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 点位ID */
    @ApiModelProperty(name = "点位ID",notes = "")
    private String itemId ;
    /** 问题ID;来源点位问题 */
    @ApiModelProperty(name = "问题ID",notes = "来源点位问题")
    private String quId ;
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    private Integer sortNo ;

}